package com.njcn.system.enums;

import lombok.Getter;

/**
 * 类的介绍：字典数据名称
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2021/8/5 21:56
 */
@Getter
public enum DicDataEnum {

    /**
     * 数据中心稳态统计指标
     */
    PLPC_ENUM("频率偏差", "PLPC"),
    DYPC_ENUM("电压偏差", "DYPC"),
    SXDYBPHD_ENUM("负序电压不平衡度", "SXDYBPHD"),
    XBDY_ENUM("谐波电压", "XBDY"),
    CSSB_ENUM("长时闪变", "CSSB"),
    XBDL_ENUM("谐波电流", "XBDL"),
    FXDL_ENUM("负序电流", "FXDL"),
    JXBDY_ENUM("间谐波电压", "JXBDY"),


    /**
     * 稳态统计指标
     */
    VOLTAGE_DEV("电压偏差", "Voltage_Dev"),
    FLICKER("长时闪变", "Flicker"),
    HARMONIC_VOLTAGE("谐波电压", "Harmonic_Voltage"),
    HARMONIC_CURRENT("谐波电流", "Harmonic_Current"),
    INTERHARMONIC_VOLTAGE("间谐波电压", "Interharmonic_Voltage"),
    PHASE_VOLTAGE("负序电压不平衡度", "phase_Voltage"),
    FREQUENCY_DEV("频率偏差", "Frequency_Dev"),
    NEG_CURRENT("负序电流", "Neg_Current"),
    THD_V("电压总谐波畸变率", "Thd_V"),
    phase_Voltage("三相电压不平衡度","phase_Voltage"),
    TOTAL_INDICATOR("总稳态指标", "Total_Indicator"),

    /**
     * 污区图统计类型
     */
    I_ALL("谐波电流", "I_All"),
    V_HARMONIC("谐波电压", "V_Harmonic"),


    /**
     * 谐波污染值
     */
    I_ALL_LIMIT("谐波电流", "I_All_Limit"),
    V_HARMONIC_LIMIT("谐波电压", "V_Harmonic_Limit"),


    /**
     * 监测点类别
     */
    ONE_LINE("Ⅰ类监测点", "One_Line"),
    TWO_LINE("Ⅱ类监测点", "Two_Line"),
    THREE_LINE("Ⅲ类监测点", "Three_Line"),


    /**
     * 监测点类型
     */
    Power_Supply_Point("供电点","Power_Supply_Point"),
    Pub_Connect_Point("公共连接点PCC","Pub_Connect_Point"),
    Parallel_Point("并网点","Parallel_Point"),
    Other("其他","Other"),


    /**
     * 电压互感器类型
     */
    Cap_V("电容式","Cap_V"),
    Pele_V("光电式","Pele_V"),
    Elec_V("电子式","Elec_V"),
    Other_S("其他","Other"),
    Ele_V("电磁式","Ele_V"),

    /**
     * 中性点接地方式
     */
    Ground_Res("经非线性电阻接地-消谐器","Ground_Res"),
    Ground_Trans("经互感器接地-4PT","Ground_Trans"),
    Ground_Dir("直接接地-3PT","Ground_Dir"),
    A_Center("A类测试中性点接地方式","A_Center"),
    Ground_Other("其他","Other"),




    /**
     * 终端类型
     */
    DEV_QUALITY("电能质量监测终端", "Dev_Quality"),
    DEV_SMART("智能电表", "Dev_Smart"),
    DEV_MIX("智能融合终端", "Dev_Mix"),


    /**
     * 装置类别
     */
    Test_Equipment("测试设备","Test_Equipment"),
    Monitor_Terminals("监测终端","Monitor_Terminals"),
    Detect_Equipment("检测设备","Detect_Equipment"),
    Govern_Devices("治理设备","Govern_Devices"),

    /***
     * 告警类型
     */
    COMM_ERR("通讯异常", "Comm_Err"),

    /**
     * 暂态统计指标
     */
    TOTAL_INDICATORS("总暂态指标", "Total_Indicators"),
    VOLTAGE_DIP("电压暂降", "Voltage_Dip"),
    VOLTAGE_RISE("电压暂升", "Voltage_Rise"),
    SHORT_INTERRUPTIONS("短时中断", "Short_Interruptions"),
    DISTURBANCE("扰动", "Disturbance"),
    OTHER("其他", "Other"),
    RECORDING_WAVE("录波", "Recording_Wave"),

    /**
     * 数据类型
     */
    MAINNET_POINT("主网测点", "Mainnet_Point"),
    DISTRIBUTION_POINT("配网测点", "Distribution_Point"),

    /**
     * 分布式光伏台区渗透率水平
     */
    RATE_0_25("0-25", "Rate_0_25"),
    RATE_25_50("25-50", "Rate_25_50"),
    RATE_50_75("50-75", "Rate_50_75"),
    RATE_75_100("75-100", "Rate_75_100"),
    RATE_100("100", "Rate_100"),

    /**
     * 入网报告状态
     */
    NEWLY("新建", "Newly"),
    AUDIT("待审核", "Audit"),
    FAILED("未通过", "Failed"),
    FINISH("已生效", "Finish"),

    /**
     * 审核状态
     */
    INIT("新建", "Init"),
    FAIL("未通过", "Fail"),
    AUDITT("待审核", "Auditt"),
    SUCCESS("已通过", "Success"),

    /**
     * 填报进度
     */
    NOT_REPORTED("未填报", "Not_Reported"),
    INSIGHTS("成效分析", "Insights"),
    PLAN_MEASURES("计划整改措施", "Plan_Measures"),
    ACTUAL_MEASURES("实际采取措施", "Actual_Measures"),
    CAUSE_ANALYSIS("原因分析", "Cause_Analysis"),
    ARCHIVED("已归档", "Archived"),

    /**
     * 问题来源
     */
    ONLINE("在线监测告警", "Online"),
    DEV_EXCEPTION("设备异常", "Dev_Exception"),
    GENERAL("普测超标", "General"),
    USER_COMPLAINTS("用户投诉", "User_Complaints"),

    /**
     * 台区电能质量事件类型
     */
    EVENT_TYPE_P("低功率因数0.7-0.8", "Event_Type_p"),
    EVENT_TYPE_U("潮流倒送", "Event_Type_u"),
    EVENT_TYPE_T("电压越上限15%以上", "Event_Type_t"),
    EVENT_TYPE_W("电压越限", "Event_Type_w"),
    EVENT_TYPE_O("低功率因数0.7以下", "Event_Type_o"),
    EVENT_TYPE_E("电压越上限", "Event_Type_e"),
    EVENT_TYPE_Y("电压越下限", "Event_Type_y"),
    EVENT_TYPE_L("低功率因数0.8-0.9", "Event_Type_l"),
    EVENT_TYPE_Q("电压总谐波畸变率超标", "Event_Type_q"),
    EVENT_TYPE_R("电压越上限7%-15%", "Event_Type_r"),
    EVENT_TYPE_I("低功率因数", "Event_Type_i"),
    PENET_LIMIT("渗透率超上限", "Penet_Limit"),
    EVENT_TYPE_A("潮流倒送导致设备重载", "Event_Type_a"),
    EVENT_TYPE_S("潮流倒送导致设备过载", "Event_Type_s"),
    EVENT_TYPE_D("电压越上限严重度", "Event_Type_d"),
    EVENT_TYPE_F("电压越下限严重度", "Event_Type_f"),
    EVENT_TYPE_G("渗透率", "Event_Type_g"),
    EVENT_TYPE_Z("超标3%-10%", "Event_Type_z"),
    EVENT_TYPE_X("超标10%以下", "Event_Type_x"),
    EVENT_TYPE_C("重过载", "Event_Type_c"),
    /**
     * 监测点状态
     */
    RUN("运行", "Run"),
    OVERHAUL("检修", "Overhaul"),
    DEBUGGING("调试", "Debugging"),
    DECOMMISSIONING("停运", "Decommissioning"),
    RETIREMENT("退役", "Retirement"),

    /**
     * 终端状态
     */
    FREE_MOORY("剩余内存", "Free_Mmory"),
    FREE_STORE("剩余存储空间", "Free_Store"),
    NOT_OPERATION("未投运", "Not_Operation"),
    RUNNING("在运", "Running"),
    RETIRE("退役", "Retire"),
    ON_SITE("现场留用", "On_Site"),
    STOCK_STANDBY("库存备用", "Stock_Standby"),
    TO_BE_SCRAPPED("待报废", "To_Be_Scrapped"),
    SCRAP("报废", "Scrap"),

    /**
     * 监测点标签（废弃，统一使用监测点对象类型）
     */
    ONSHORE_WIND("陆上风电", "Onshore_Wind"),
    POWER_STATION("光伏电站", "Power_Station"),
    ELECTRIFIED_RAILWAYS("电气化铁路", "Electrified_Railways"),
    SMELT_LOAD("冶炼负荷", "Smelt_Load"),
    DISTRIBUTED_PHOTOVOLTAICS("分布式光伏", "Distributed_Photovoltaics"),
    WIND_FARM("风电场", "Wind_Farm"),
    SENSITIVE_USERS("重要敏感用户", "Sensitive_Users"),
    IMPORTANT_USERS("重要用户", "Important_Users"),
    //废弃字段
    TRACTION_STATION("牵引站", "Traction_Station"),
    LINEAR_LOADS("其他非线性负荷", "Linear_Loads"),


    /**
     * 电压等级
     */
    AC_380V("交流380V（含400V）", "AC_380V（400V）"),
    DY_380V("交流0.38kV", "0.38kV"),
    DY_10KV("交流10kV", "10kV"),
    DY_35KV("交流35kV", "35kV"),
    DY_110KV("交流110kV", "110kV"),
    DY_220KV("交流220kV", "220kV"),
    DY_500KV("交流500kV", "500kV"),
    DY_DC_500kV("直流500kV", "DC_500kV"),


    /**
     * 电压等级
     * 此电压用于计算,真实code请使用上面枚举
     */

    V100("100V", "0.1",0.1f),
    V220("220V", "0.22",0.22f),
    KV038("0.38kV", "0.38",0.38f),
    V380("380V", "0.38",0.38f),
    KV04("0.4kV", "0.4",0.4f),
    KV06("0.6kV", "0.6",0.6f),
    V400("400V", "0.4",0.4f),
    KV1("1kV", "1",1.0f),
    KV6("6kV", "6",6.0f),
    KV10("10kV", "10",10.0f),
    KV20("20kV", "20",20.0f),
    KV30("30kV", "30",30.0f),
    KV35("35kV", "35",35.0f),
    KV50("50kV", "50",50.0f),
    KV66("66kV", "66",66.0f),
    KV72_5("72.5kV", "725",725.0f),
    KV110("110kV", "110",110.0f),
    KV120("120kV", "120",120.0f),
    KV125("125kV", "125",125.0f),
    KV200("200kV", "200",200.0f),
    KV220("220kV", "220",220.0f),
    KV320("320kV", "320",320.0f),
    KV330("330kV", "330",330.0f),
    KV400("400kV", "400",400.0f),
    KV500("500kV", "500",500.0f),
    KV600("600kV", "600",600.0f),
    KV660("660kV", "660",660.0f),
    KV750("750kV", "750",750.0f),
    KV1000("1000kV", "1000",1000.0f),
    KV1100("1100kV", "1100",1100.0f),

    /**
     * 计划采取实施
     */
    GOVERNANCE_FACTS("事实治理工程", "Governance_Facts"),
    GRID_OPERATES("电网运行方式调整", "Grid_Operates"),
    PARAMETER_OPT("治理装置运行参数优化", "Parameter_Opt"),
    RECTIFY_ORDERS("提出整改工单", "Rectify_Orders"),

    /**
     * 牵引站变压器接线方式
     */
    SINGLE_TRANS("单相牵引变压器", "Single_Trans"),
    THREE_TRANS("三相YN d11联结牵引变压器", "Three_Trans"),
    THREE_PHASE_TRANS("三相YN d11 d1组成的牵引变压器", "Three_Phase_Trans"),
    SCOTT_TRANS("SCOTT牵引变压器", "SCOTT_Trans"),
    YN_V_TRANS("YN v联结平衡牵引变压器", "YN_V_Trans"),
    YN_A_TRANS("YN A联结平衡牵引变压器", "YN_A_Trans"),
    /**
     * APP暂态事件类型
     */
    EVT_DIPSTR("电压暂降事件启动","Evt_DipStr"),
    EVT_INTRSTR("电压中断事件启动","Evt_IntrStr"),
    EVT_SWLSTR("电压暂升事件启动","Evt_SwlStr"),



    /**
     * 监测对象
     */
    PHOTOVOLT("光伏台区", "Photovolt"),
    FEEDER_TENKV("10kV馈线", "Feeder_TenkV"),
    MAIN_CHANGE("主变", "Main_Change"),

    /**
     * 工单状态
     */
    PEND_DISPATCH("待派单", "Pend_Dispatch"),
    DISPATCHED("已派单", "Dispatched"),
    CLOSED("已关闭", "Closed"),

    /**
     * 问题类型
     */
    VOLTAGE_LIMIT("谐波电压越限", "Voltage_Limit"),
    CURRENT_LIMIT("谐波电流越限", "Current_Limit"),

    /**
     * 审核状态
     */
    REVIEW("待审核", "Review"),
    AUDITED("已审核", "Audited"),
    APPROVED("审核通过", "Approved"),
    NOT_APPROVED("审核通过", "Not_Approved"),

    /**
     * 审核处理
     */
    GENERATE("生成工单", "Generate"),
    NO_REQUIRED("无需处理", "No_Required"),

    /**
     * 工单流程
     */
    GENERATED("生成工单", "Generated"),
    DISPATCH("派单", "Dispatch"),
    FEEDBACK("反馈", "Feedback"),
    AUDITING("审核", "Auditing"),
    RECTIFICATION("整改", "Rectification"),
    ASSESS("评估", "Assess"),
    PIGEONHOLE("归档", "Pigeonhole"),

    /**
     * 评估结果
     */
    PASS("评估合格", "Pass"),
    NOT_PASS("评估不合格", "Not_Pass"),

    /**
     * 工单类型
     */
    RECT_ORDER("整改单", "Rect_Order"),

    /**
     * 一级业务类型
     */
    TRANS_BUSINESS("运检业务", "Trans_Business"),

    /**
     * 日志字典类型
     */
    LINE_PARAMETER("监测点日志", "Line_Parameter"),
    DEV_PARAMETER("设备日志", "Dev_Parameter"),
    WEB_ADD("web新增用户", "Web_Add"),
    DATA_PLAN("流量套餐修改", "Data_Plan"),
    PROCESS_PARMETER("终端进程操作", "Process_Parmeter"),


    /**
     * 接线方式
     */
    STAR("星型接线", "Trans_Business"),
    STAR_TRIANGLE("星三角", "Star_Triangle"),
    OPEN_DELTA("开口三角", "Open_Delta"),

    /**
     * 装置类型
     */
    GATEWAY_DEV("网关", "Gateway"),
    CONNECT_DEV("直连设备", "Direct_Connected_Device"),
    DEV("装置", "Device"),
    PORTABLE("便携式设备", "Portable"),
    DEV_CLD("云前置", "DEV_CLD"),


    /**
     * 数据模型
     */
    APF("APF","Apf"),
    DVR("DVR","Dvr"),
    EPD("电能数据","Epd"),
    PQD("电能质量数据","Pqd"),
    BMD("基础测量数据","Bmd"),
    EVT("事件","Evt"),
    ALM("告警","Alm"),
    STS("状态","Sts"),
    DI("开入","Di"),
    DO("电能数据","Do"),
    PARM("参数","Parm"),
    SET("定值","Set"),
    INSET("内部定值","InSet"),
    CTRL("控制","Ctrl"),
    TERMINAL_SORT("台账类型","terminal_sort"),
    /**
     * 暂降原因
     */
    SHORT_TROUBLE("短路故障", "Short_Trouble"),
    TRANSFORMER_EXCITATION("变压器激磁", "Transformer_Excitation"),
    RESON_REST("其他", "Reson_Rest"),
    LARGE_INDUCTION("大型感应电动机启动", "Large_Induction"),
    VOLTAGE_DISTURBANCE("电压扰动", "Voltage_Disturbance"),


    /**
     * 暂降类型
     */
    PHASE_A("A相接地", "Phase_A"),
    PHASE_B("B相接地", "Phase_B"),
    PHASE_C("C相接地", "Phase_C"),
    INTERPHASE_AB("AB相间", "Interphase_AB"),
    INTERPHASE_BC("BC相间", "Interphase_BC"),
    INTERPHASE_AC("AC相间", "Interphase_AC"),
    GROUND_AB("AB两相接地", "Ground_AB"),
    GROUND_BC("BC两相接地", "Ground_BC"),
    GROUND_AC("AC两相接地", "Ground_AC"),
    GROUND_ABC("三相接地", "Ground_ABC"),
    TYPE_REST("其他", "Type_Rest"),

    /**
     * 监测点位置
     */
    LOAD_SIDE("负载侧", "Load_Side"),
    GRID_SIDE("电网侧", "Grid_Side"),
    OUTPUT_SIDE("输出侧", "Output_Side"),

    /**
     * 警告级别
     */

    ALARM("告警", "Alarm"),
    FAULT("故障", "Fault"),

    /**
     * 装置级别
     */
    MOST_IMPORMENT("极重要","Vital"),

    /**
     * 测量信号输入形式
     */
    NUMBER_SIGNAL("数字信号","Digital_Signal"),
    SIMULATION_SIGNAL("模拟信号","Analog_Signal"),

    /**
     * 设备地区特征
     */
    DOWNTOWN("市中心区","downtown"),
    CITY("市区","city"),
    TOWN("城镇","town"),
    COUNTY_SEAT("县城区","County_Seat"),
    COUNTRYSIDE("农村","countryside"),
    TOWNSHIP("乡镇","township"),
    AGRO_AREA("农牧区","Agro_Area"),

    /**
     * 设备使用性质代码
     */
    DEDICATED("专用","dedicated"),
    PUBLIC("公用","public"),


    /**
     * 监督类型
     */
    POWER_QUALITY("电能质量敏感用户监督","Power_Quality"),
    UHV_Converter("特高压换流站监督","UHV_Converter"),
    New_Energy("新能源场站监督","New_Energy"),
    Technical_Super("供电电压质量技术监督","Technical_Super"),
    capacitor_bank("电容器组监督","capacitor_bank"),
    report_supervision("评估报告监督","report_supervision"),
    /**
     * app基础信息类型
     */
    DATA_BASE("资料库","Data_base"),
    INTRODUCTION("系统介绍","introduction"),
    USER_MANUAL("使用手册","User_Manual"),
    USER_AGREEMENT("用户协议","User_Agreement"),
    COMPANY_PROFILE("公司简介","Company_Profile"),
    PERSONAL_INFOR_PROTECT("个人信息保护政策","Personal_Infor_Protect"),

    /**
     * app设备事件类型权限转移，数据恢复
     */
    AUTHORITY_TRANSFER("权限转移","Authority_transfer"),
    DATA_RECOVERY("数据恢复","Data_recovery"),

    /**
     * 谐波数据报表，数据单位类别
     */
    EFFECTIVE("有效值","effective"),
    POWER("功率","power"),
    DISTORTION("畸变率","distortion"),
    VOLTAGE("电压偏差","voltage"),
    UNIT_FREQUENCY("频率","unitFrequency"),
    UNBALANCE("三项不平横","unbalance"),
    FUND("基波","fund"),





    /**pms******************************start*/


    /**
     * 实施状态
     */
    Nocarried("未开展","Nocarried"),
    Progressing("开展中","Progressing"),
    Reviewing("待审核","Reviewing"),
    Completed("已完成","Completed"),

    /*3.45	典型源荷用户类型*/
    TRACTIONSTATION("牵引站","01"),
    WINDFARM_USER("风电场用户","02"),
    PHOTOVOLTAICSIT_EUSERS("光伏场站用户","03"),
    OTHER_INTERFERENCESOURCE_USERS("其他干扰源用户","04"),

    /*3.39	监测对象类型-大类*/
    SEMICONDUCTOR_MANUFACTURING("半导体制造","2401"),
    PRECISION_MACHINING("精密加工","2402"),
    PARTY_GOVERNMENT("党政机关","2403"),
    NOSOCOMIUM("医院","2404"),
    TRANSPORTATION_HUB("交通枢纽（公交场站、客运站、火车站等）","2405"),
    AERODROME("机场","2406"),
    FINANCE("金融","2407"),
    DATA_CENTER("数据中心","2408"),
    HAZARDOUS_CHEMICALS("危险化学品","2409"),
    EXPLOSIVE_PRODUCTS("易燃易爆品制造","2410"),
    LARGEVENUE("大型场馆（体育场、剧院等）","2411"),
    WINDPOWER_STATION("风电场","1401"),
    PHOTOVOLTAIC_POWER_STATION("光伏电站","1402"),
    ELECTRIFIED_RAILWAY("电气化铁路","1300"),


    /**
     * 所属站别类型
     */
    Trans_Sub("变电站","Trans_Sub"),
    Converter("换流站","Converter"),
    Ele_Railways("电气化铁路","Ele_Railways"),
    Wind_Farms("风电场","Wind_Farms"),
    Power_Station("光伏电站","Power_Station"),
    Smelting_Load("冶炼负荷","Smelting_Load"),
    Imp_Users("重要敏感用户","Imp_Users"),
    Station_Other("其他","Other"),

    /*承载能力评估用户类型*/
    Power_Station_Users("光伏电站用户","Power_Station_Users"),
    Charging_Station_Users("充电站用户","Charging_Station_Users"),
    Electric_Heating_Load_Users("电加热负荷用户","Electric_Heating_Load_Users"),
    Electrified_Rail_Users("电气化铁路用户","Electrified_Rail_Users"),

    //变压器连接方式
    YNd11("YNd11","YNd11"),
    YNy0("YNy0","YNy0"),
    Yy0("Yy0","Yy0"),
    Yyn0("Yyn0","Yyn0"),
    Yd11("Yd11","Yd11"),
    Y_yn("Y/yn","Y_yn"),
    Y_d("Y/d","Y_d"),
    D_y("D/y","D_y"),
    YNyn("YNyn","YNyn"),

    //用户模式
    SPECIAL_USER("专变用户","special_user"),//专变用户
    PUBLIC_USER("公变用户","public_user"),// ,公变用户

    //统计类型
    STATISTICAL_TYPE_Y("年数据","01"),
    STATISTICAL_TYPE_M("月数据","02"),
    STATISTICAL_TYPE_D("日数据","03"),

    /**pms******************************end*/

    //pq干扰源类型
    PQ_ELE_RAILWAYS("电气化铁路","Ele_Railways"),
    PQ_POWER_STATION("光伏电站","Power_Station"),
    PQ_WIND_FARMS("风电场","Electrolytic_Load"),

    //所属地市local_municipality
    //张家口市、廊坊市、唐山市、承德市、秦皇岛市、风光储、超高压
    ZHANGJIAKOU("张家口市","zhangjiakou"),
    LANGFANG("廊坊市","langfang"),
    TANGSHAN("唐山市","tangshan"),
    CHENGDE("承德市","chengde"),
    QINGHUANGDAO("秦皇岛市","qinghuangdao"),
    FENGFENGRESERVE("风光储","fengfengreserve"),
    EXTRA_HIGH_PRESSURE("超高压","extra_high_pressure"),

    //行业类型-冀北
    TRAFFIC("交通","Traffic"),
    METALLURGY("冶金","Metallurgy"),
    MACHINERY("机械","Machinery"),
    CHEMICAL_INDUSTRY("化工","Chemical_Industry"),
    MANUFACTURING("制造","Manufacturing"),
    SHIPBUILDING("造船","Shipbuilding"),
    UTILITIES("公用事业","Utilities"),
    POWER_PLANT("电厂","Power_Plant"),
    COMMERCE("商业","Commerce"),
    MUNICIPAL("市政","Municipal"),
    CIVILIAN("民用","Civilian"),
    ELECTRONICS("电子","Electronics"),
    COMMUNICATION("通讯","Communication"),
    ELECTRIC_POWER("电力","Electric_Power"),
    OTHER_INDUSTRY("其他","Other_Industry"),





    //河北工单相关
    //3.67工单状态
    WORK_ORDER_STATUS_NO("未处理","01"),
    WORK_ORDER_STATUS_ING("处理中","02"),
    WORK_ORDER_STATUS_HAS("已上报","03"),
    WORK_ORDER_STATUS_CLOSE("已闭环","04"),


    YES("是","1"),
    NO("否","0"),

    No_Upload("未上送","0"),
    Has_Upload("已上送","1"),
    Reduce_Upload("取消上送","2"),
    Return_Upload("待重新上送","3"),


    //字典树类型
    Obj_Type("监测对象类型","0"),
    Custom_Report_Type("自定义报表类型","1")


    ;

    private final String name;
    private final String code;
    private final Float value;

    DicDataEnum(String name, String code,Float value) {
        this.name = name;
        this.code = code;
        this.value = value;
    }

    DicDataEnum(String name, String code) {
        this.name = name;
        this.code = code;
        this.value =
                null;
    }

    public static DicDataEnum getDicDataEnumValue(String code) {
        for (DicDataEnum item : values()) {
            if (item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
